XnModuleHandsGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleGeneratorInterface * | pGeneratorInterface
XnStatus(* | RegisterHandCallbacks )(XnModuleNodeHandle hGenerator, XnModuleHandCreate CreateCB, XnModuleHandUpdate UpdateCB, XnModuleHandDestroy DestroyCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterHandCallbacks )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | StopTracking )(XnModuleNodeHandle hGenerator, XnUserID user)
XnStatus(* | StopTrackingAll )(XnModuleNodeHandle hGenerator)
XnStatus(* | StartTracking )(XnModuleNodeHandle hGenerator, const XnPoint3D *pPosition)
XnStatus(* | SetSmoothing )(XnModuleNodeHandle hGenerator, XnFloat fSmoothingFactor)
XnModuleHandTouchingFOVEdgeCapabilityInterface * | pHandTouchingFOVEdgeInterface

## Member Data Documentation

## pGeneratorInterface

XnModuleGeneratorInterface* XnModuleHandsGeneratorInterface::pGeneratorInterface

## pHandTouchingFOVEdgeInterface

XnModuleHandTouchingFOVEdgeCapabilityInterface* XnModuleHandsGeneratorInterface::pHandTouchingFOVEdgeInterface

## RegisterHandCallbacks

XnStatus(* XnModuleHandsGeneratorInterface::RegisterHandCallbacks) (XnModuleNodeHandle hGenerator, XnModuleHandCreate CreateCB, XnModuleHandUpdate UpdateCB, XnModuleHandDestroy DestroyCB, void *pCookie, XnCallbackHandle *phCallback)

## SetSmoothing

XnStatus(* XnModuleHandsGeneratorInterface::SetSmoothing) (XnModuleNodeHandle hGenerator, XnFloat fSmoothingFactor)

## StartTracking

XnStatus(* XnModuleHandsGeneratorInterface::StartTracking) (XnModuleNodeHandle hGenerator, const XnPoint3D *pPosition)

## StopTracking

XnStatus(* XnModuleHandsGeneratorInterface::StopTracking) (XnModuleNodeHandle hGenerator, XnUserID user)

## StopTrackingAll

XnStatus(* XnModuleHandsGeneratorInterface::StopTrackingAll) (XnModuleNodeHandle hGenerator)

## UnregisterHandCallbacks

void(* XnModuleHandsGeneratorInterface::UnregisterHandCallbacks) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h